Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network34.167.77.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
Network address
34.167.77.0
Broadcast address
34.167.77.255
First usable
34.167.77.1
Last usable
34.167.77.254
Usable hosts
254 (256 less the network and broadcast addresses)
Subnet mask
255.255.255.0
Wildcard mask
0.0.0.255 (Cisco ACLs, OSPF)
Prefix length
/24
Type
Public public
Old class
A (default /8)
As numbers
Hex 22A74D00 · Integer 581389568 to 581389823
Reverse DNS zone
77.167.34.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100010.10100111.01001101..0000000034.167.77.0
Subnet mask11111111.11111111.11111111..00000000255.255.255.0
Network00100010.10100111.01001101..0000000034.167.77.0
Broadcast00100010.10100111.01001101..1111111134.167.77.255
Split into smaller subnets/31

34.167.77.0/24 makes 128 subnets of /31.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
134.167.77.0/3134.167.77.0 to 34.167.77.1—2
234.167.77.2/3134.167.77.2 to 34.167.77.3—2
334.167.77.4/3134.167.77.4 to 34.167.77.5—2
434.167.77.6/3134.167.77.6 to 34.167.77.7—2
534.167.77.8/3134.167.77.8 to 34.167.77.9—2
634.167.77.10/3134.167.77.10 to 34.167.77.11—2
734.167.77.12/3134.167.77.12 to 34.167.77.13—2
834.167.77.14/3134.167.77.14 to 34.167.77.15—2
934.167.77.16/3134.167.77.16 to 34.167.77.17—2
1034.167.77.18/3134.167.77.18 to 34.167.77.19—2
1134.167.77.20/3134.167.77.20 to 34.167.77.21—2
1234.167.77.22/3134.167.77.22 to 34.167.77.23—2
1334.167.77.24/3134.167.77.24 to 34.167.77.25—2
1434.167.77.26/3134.167.77.26 to 34.167.77.27—2
1534.167.77.28/3134.167.77.28 to 34.167.77.29—2
1634.167.77.30/3134.167.77.30 to 34.167.77.31—2
1734.167.77.32/3134.167.77.32 to 34.167.77.33—2
1834.167.77.34/3134.167.77.34 to 34.167.77.35—2
1934.167.77.36/3134.167.77.36 to 34.167.77.37—2
2034.167.77.38/3134.167.77.38 to 34.167.77.39—2
2134.167.77.40/3134.167.77.40 to 34.167.77.41—2
2234.167.77.42/3134.167.77.42 to 34.167.77.43—2
2334.167.77.44/3134.167.77.44 to 34.167.77.45—2
2434.167.77.46/3134.167.77.46 to 34.167.77.47—2
2534.167.77.48/3134.167.77.48 to 34.167.77.49—2
2634.167.77.50/3134.167.77.50 to 34.167.77.51—2
2734.167.77.52/3134.167.77.52 to 34.167.77.53—2
2834.167.77.54/3134.167.77.54 to 34.167.77.55—2
2934.167.77.56/3134.167.77.56 to 34.167.77.57—2
3034.167.77.58/3134.167.77.58 to 34.167.77.59—2
3134.167.77.60/3134.167.77.60 to 34.167.77.61—2
3234.167.77.62/3134.167.77.62 to 34.167.77.63—2
3334.167.77.64/3134.167.77.64 to 34.167.77.65—2
3434.167.77.66/3134.167.77.66 to 34.167.77.67—2
3534.167.77.68/3134.167.77.68 to 34.167.77.69—2
3634.167.77.70/3134.167.77.70 to 34.167.77.71—2
3734.167.77.72/3134.167.77.72 to 34.167.77.73—2
3834.167.77.74/3134.167.77.74 to 34.167.77.75—2
3934.167.77.76/3134.167.77.76 to 34.167.77.77—2
4034.167.77.78/3134.167.77.78 to 34.167.77.79—2
4134.167.77.80/3134.167.77.80 to 34.167.77.81—2
4234.167.77.82/3134.167.77.82 to 34.167.77.83—2
4334.167.77.84/3134.167.77.84 to 34.167.77.85—2
4434.167.77.86/3134.167.77.86 to 34.167.77.87—2
4534.167.77.88/3134.167.77.88 to 34.167.77.89—2
4634.167.77.90/3134.167.77.90 to 34.167.77.91—2
4734.167.77.92/3134.167.77.92 to 34.167.77.93—2
4834.167.77.94/3134.167.77.94 to 34.167.77.95—2
4934.167.77.96/3134.167.77.96 to 34.167.77.97—2
5034.167.77.98/3134.167.77.98 to 34.167.77.99—2
5134.167.77.100/3134.167.77.100 to 34.167.77.101—2
5234.167.77.102/3134.167.77.102 to 34.167.77.103—2
5334.167.77.104/3134.167.77.104 to 34.167.77.105—2
5434.167.77.106/3134.167.77.106 to 34.167.77.107—2
5534.167.77.108/3134.167.77.108 to 34.167.77.109—2
5634.167.77.110/3134.167.77.110 to 34.167.77.111—2
5734.167.77.112/3134.167.77.112 to 34.167.77.113—2
5834.167.77.114/3134.167.77.114 to 34.167.77.115—2
5934.167.77.116/3134.167.77.116 to 34.167.77.117—2
6034.167.77.118/3134.167.77.118 to 34.167.77.119—2
6134.167.77.120/3134.167.77.120 to 34.167.77.121—2
6234.167.77.122/3134.167.77.122 to 34.167.77.123—2
6334.167.77.124/3134.167.77.124 to 34.167.77.125—2
6434.167.77.126/3134.167.77.126 to 34.167.77.127—2
6534.167.77.128/3134.167.77.128 to 34.167.77.129—2
6634.167.77.130/3134.167.77.130 to 34.167.77.131—2
6734.167.77.132/3134.167.77.132 to 34.167.77.133—2
6834.167.77.134/3134.167.77.134 to 34.167.77.135—2
6934.167.77.136/3134.167.77.136 to 34.167.77.137—2
7034.167.77.138/3134.167.77.138 to 34.167.77.139—2
7134.167.77.140/3134.167.77.140 to 34.167.77.141—2
7234.167.77.142/3134.167.77.142 to 34.167.77.143—2
7334.167.77.144/3134.167.77.144 to 34.167.77.145—2
7434.167.77.146/3134.167.77.146 to 34.167.77.147—2
7534.167.77.148/3134.167.77.148 to 34.167.77.149—2
7634.167.77.150/3134.167.77.150 to 34.167.77.151—2
7734.167.77.152/3134.167.77.152 to 34.167.77.153—2
7834.167.77.154/3134.167.77.154 to 34.167.77.155—2
7934.167.77.156/3134.167.77.156 to 34.167.77.157—2
8034.167.77.158/3134.167.77.158 to 34.167.77.159—2
8134.167.77.160/3134.167.77.160 to 34.167.77.161—2
8234.167.77.162/3134.167.77.162 to 34.167.77.163—2
8334.167.77.164/3134.167.77.164 to 34.167.77.165—2
8434.167.77.166/3134.167.77.166 to 34.167.77.167—2
8534.167.77.168/3134.167.77.168 to 34.167.77.169—2
8634.167.77.170/3134.167.77.170 to 34.167.77.171—2
8734.167.77.172/3134.167.77.172 to 34.167.77.173—2
8834.167.77.174/3134.167.77.174 to 34.167.77.175—2
8934.167.77.176/3134.167.77.176 to 34.167.77.177—2
9034.167.77.178/3134.167.77.178 to 34.167.77.179—2
9134.167.77.180/3134.167.77.180 to 34.167.77.181—2
9234.167.77.182/3134.167.77.182 to 34.167.77.183—2
9334.167.77.184/3134.167.77.184 to 34.167.77.185—2
9434.167.77.186/3134.167.77.186 to 34.167.77.187—2
9534.167.77.188/3134.167.77.188 to 34.167.77.189—2
9634.167.77.190/3134.167.77.190 to 34.167.77.191—2
9734.167.77.192/3134.167.77.192 to 34.167.77.193—2
9834.167.77.194/3134.167.77.194 to 34.167.77.195—2
9934.167.77.196/3134.167.77.196 to 34.167.77.197—2
10034.167.77.198/3134.167.77.198 to 34.167.77.199—2
10134.167.77.200/3134.167.77.200 to 34.167.77.201—2
10234.167.77.202/3134.167.77.202 to 34.167.77.203—2
10334.167.77.204/3134.167.77.204 to 34.167.77.205—2
10434.167.77.206/3134.167.77.206 to 34.167.77.207—2
10534.167.77.208/3134.167.77.208 to 34.167.77.209—2
10634.167.77.210/3134.167.77.210 to 34.167.77.211—2
10734.167.77.212/3134.167.77.212 to 34.167.77.213—2
10834.167.77.214/3134.167.77.214 to 34.167.77.215—2
10934.167.77.216/3134.167.77.216 to 34.167.77.217—2
11034.167.77.218/3134.167.77.218 to 34.167.77.219—2
11134.167.77.220/3134.167.77.220 to 34.167.77.221—2
11234.167.77.222/3134.167.77.222 to 34.167.77.223—2
11334.167.77.224/3134.167.77.224 to 34.167.77.225—2
11434.167.77.226/3134.167.77.226 to 34.167.77.227—2
11534.167.77.228/3134.167.77.228 to 34.167.77.229—2
11634.167.77.230/3134.167.77.230 to 34.167.77.231—2
11734.167.77.232/3134.167.77.232 to 34.167.77.233—2
11834.167.77.234/3134.167.77.234 to 34.167.77.235—2
11934.167.77.236/3134.167.77.236 to 34.167.77.237—2
12034.167.77.238/3134.167.77.238 to 34.167.77.239—2
12134.167.77.240/3134.167.77.240 to 34.167.77.241—2
12234.167.77.242/3134.167.77.242 to 34.167.77.243—2
12334.167.77.244/3134.167.77.244 to 34.167.77.245—2
12434.167.77.246/3134.167.77.246 to 34.167.77.247—2
12534.167.77.248/3134.167.77.248 to 34.167.77.249—2
12634.167.77.250/3134.167.77.250 to 34.167.77.251—2
12734.167.77.252/3134.167.77.252 to 34.167.77.253—2
12834.167.77.254/3134.167.77.254 to 34.167.77.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses